package com.emr.dao;

import com.emr.entity.Archive_Detail;
import com.emr.vo.commomSearch.CommomTree;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Archive_DetailMapper {
    int insert(Archive_Detail record);

    int insertSelective(Archive_Detail record);

    List<Archive_Detail> selectPdfPathByPatient(@Param("patientId")String patientId,@Param("assortIds")String assortIds);

    List<CommomTree> selectPdfPathByPatient2(@Param("patientId")String patientId);
    List<String> selectPDFRATH(@Param("patientId")String patientId);


    List<String> selectPDFRATH2(@Param("masterId")String masterId,@Param("assortId")String assortId);

    List<String> getPDFRATH(@Param("patientId")String patientId,@Param("scanPages")String scanPages);



    List<CommomTree> selectPdfPathByPatient3(@Param("patientIds")String patientIds,@Param("assortIds")String assortIds);


    List<Archive_Detail> selectPdfCountByMasterId(@Param("patientId")String patientId);
}